Get a catalog pack version
GET/v2/packs/catalog/:catalogid/:versionid
Returns one version of a catalog pack by catalog id (or pack name) and version (an exact version number such as 1.29.13, or a version id). Includes download_url, signature_bin_url, and helm_url (links to the GET /v2/download/pack endpoints), sha256, size_bytes, release_date, arch, visibility, and entitledClasses. Authentication is optional. Downloading any item requires a token, and gated items also require your organization to be entitled to them.
Request
Responses
- 200
- 400
- 404
- 500
Catalog pack version detail
Response Headers
X-API-Version
v2
Invalid catalogid, versionid, or query parameter
No catalog pack version exists for the requested catalogid and versionid
Internal server error